Subject: RE: trouble using scanf on double arguments under Windows2000
From: "Sonnenschein, Roland Dr." <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked], "Sonnenschein, Roland Dr." <[email-masked]>
Date: Wed, 3 Apr 2002 09:00:40 +0200

Since I modernized my Cygwin installation the problem does not appear any
more.
I should have done this before complaining. Sorry for the inconvenience.

-----Original Message-----
From: Christopher Faylor [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 5:32 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: trouble using scanf on double arguments under Windows2000

On Tue, Apr 02, 2002 at 04:58:32AM -0800, James Merritt wrote:
>I like Cygwin and will continue to support it and would like to
>continue playing with it and writing programs under Cygwin.  I do not
>want to blame gcc or Cygwin because I like them, but I want to know
>what is causing this behavior as well and is there a workaround.

In a free software project, you shouldn't have to think in terms of
"workarounds".  Instead think "How do I fix the problem".

The sources for scanf are available.  They're in
newlib/libc/stdio/scanf.c .

If you think there is a problem, then the best way to address it is to
investigate patching it and sending the patch to
[email-masked].

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/